Bug 986795 - [Fed] Instillation via ipv6 fails
[Fed] Instillation via ipv6 fails
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
s390x All
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-22 02:22 EDT by IBM Bug Proxy
Modified: 2014-01-19 09:54 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-02 15:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 95544 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-07-22 02:22:33 EDT
== Comment: #1 - Suresh M. Bazaar <suresh.mb@in.ibm.com> - 2013-07-02 04:29:20 ==
Please ignore my previous description and mirror the below description which i have slightly modified

The Installation of Fedora 19 fails via IPV6

Steps to reproduce
1. Start the installation
2. Provide all necessary parameters via param file such as ipv6 address, the repository details and the path for the package,disk etc 

Expected :
Installation should be successful

Actual:The installation is failing with below error message

[    3.765816] systemd[1]: Reached target Sockets.                              
[    3.765886] systemd[1]: Starting Device-Mapper Multipath Device Controller...
         Starting Device-Mapper Multipath Device Controller...                  
[    3.766368] systemd[1]: Starting Free all devices on startup...              
         Starting Free all devices on startup...                                
[    3.766733] systemd[1]: Starting Swap.                                       
[ [32m  OK   [0m] Reached target Swap.                                          
[    3.766760] systemd[1]: Reached target Swap.                                 
[    3.766771] systemd[1]: Starting Local File Systems.                         
[ [32m  OK   [0m] Reached target Local File Systems.                            
[    3.766794] systemd[1]: Reached target Local File Systems.                   
[    3.785611] device-mapper: multipath: version 1.5.1 loaded                   
[ [32m  OK   [0m] Started Device-Mapper Multipath Device Controller.            
[ [32m  OK   [0m] Started Free all devices on startup.                          
[    4.011468] dracut: FATAL: Don't know how to handle 'root=ftp://uid:pwd@[fd00:9:xxx:yy:zzzz:ffff:aaa:bbb]/F_19/images/im'                            
[    4.011481] dracut: Refusing to continue                                     
dracut-cmdline[46]: Warning:                                                    
dracut-cmdline[46]: Warning: dracut: FATAL: Don't know how to handle 'root=ftp:/
dracut-cmdline[46]: Warning: dracut: Refusing to continue

The sample param file is :

===== ro ramdisk_size=40000                                                     
===== ip=[fd00:9:xxx:yy:zzzz:ffff:aaa:bbb]::[fd00:9:xxx:yy:zzzz::1]:80::eth0:non
===== nameserver=[fd00:9:xxx:yy:zzzz:ffff:4:bbb]                                
===== rd.znet=qeth,0.0.a000,0.0.a001,0.0.a002,layer2=1,portname=OSAPORT         
===== portno=0                                                                  
===== inst.repo=ftp://uid:pwd@[fd00:9:xxx:yy:zzzz:ffff:aaa:bbb]/S/      
===== root=ftp://uid:pwd@[fd00:9:xxx:yy:zzzz:ffff:aaa:bbb]/S/i/i.img    
===== rd.dasd=0.0.1234
Comment 1 Steve Tyler 2013-07-22 14:00:25 EDT
Can you reproduce this with an IPv4 address?
Comment 2 Samantha N. Bueno 2013-07-22 15:04:43 EDT
This is an IPv6 issue, not IPv4....

IBM, I'm adding a related bug. You should be able to view it.
Comment 3 David Shea 2013-07-22 15:32:18 EDT
Does it work if you use netroot= instead of root= in the boot parameters?
Comment 4 Steve Tyler 2013-07-22 18:24:07 EDT
The syntax needs to match the case statment in line 46 of:

dracut should provide a better error message.
Why is this assigned to anaconda?

dracut-029 source is here: 

$ sudo repoquery dracut

== Test case derived from dracut-cmdline.sh ==


case "$root" in
        root="$(echo $root | sed 's,/,\\x2f,g')"
        rootok=1 ;;
        rootok=2 ;;
        rootok=3 ;;
        rootok=4 ;;

echo 'rootok='$rootok
Comment 5 Steve Tyler 2013-07-22 18:38:33 EDT
(In reply to David Shea from comment #3)
> Does it work if you use netroot= instead of root= in the boot parameters?

That could explain the problem.

The man page has the details:
$ man dracut.cmdline

$ rpm -q dracut
Comment 6 David Shea 2014-01-02 15:35:38 EST
Assuming this issue was a root= vs. netroot=. If there's still a problem with IPv6 netroot, re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.